# -*- coding: utf-8 -*-


from PySide import QtCore, QtGui
from SimNDT.gui.constants import *

class Ui_runSimulationDialog(object):
    def setupUi(self, runSimulationDialog):
        scaleUI = SCALE_UI
        runSimulationDialog.setObjectName("runSimulationDialog")
        runSimulationDialog.resize(300*scaleUI, 440*scaleUI)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(runSimulationDialog.sizePolicy().hasHeightForWidth())
        runSimulationDialog.setSizePolicy(sizePolicy)
        runSimulationDialog.setMinimumSize(QtCore.QSize(300*scaleUI, 440*scaleUI))
        runSimulationDialog.setMaximumSize(QtCore.QSize(300*scaleUI, 440*scaleUI))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/runGL.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        runSimulationDialog.setWindowIcon(icon)
        runSimulationDialog.setSizeGripEnabled(False)
        self.verticalLayoutWidget = QtGui.QWidget(runSimulationDialog)
        self.verticalLayoutWidget.setGeometry(QtCore.QRect(10*scaleUI, 10*scaleUI, 251*scaleUI, 426*scaleUI))
        self.verticalLayoutWidget.setObjectName("verticalLayoutWidget")
        self.verticalLayout = QtGui.QVBoxLayout(self.verticalLayoutWidget)
        self.verticalLayout.setSpacing(15*scaleUI)
        self.verticalLayout.setContentsMargins(-1*scaleUI, 10*scaleUI, -1*scaleUI, -1*scaleUI)
        self.verticalLayout.setObjectName("verticalLayout")
        self.viewCheckBox = QtGui.QCheckBox(self.verticalLayoutWidget)
        self.viewCheckBox.setObjectName("viewCheckBox")
        self.verticalLayout.addWidget(self.viewCheckBox)
        self.receiverCheckBox = QtGui.QCheckBox(self.verticalLayoutWidget)
        self.receiverCheckBox.setObjectName("receiverCheckBox")
        self.verticalLayout.addWidget(self.receiverCheckBox)
        self.snapshotsPushButton = QtGui.QPushButton(self.verticalLayoutWidget)
        self.snapshotsPushButton.setMinimumSize(QtCore.QSize(0, 40*scaleUI))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/snapshots.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.snapshotsPushButton.setIcon(icon1)
        self.snapshotsPushButton.setIconSize(QtCore.QSize(20*scaleUI, 20*scaleUI))
        self.snapshotsPushButton.setObjectName("snapshotsPushButton")
        self.verticalLayout.addWidget(self.snapshotsPushButton)
        self.stepsLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.stepsLabel.setObjectName("stepsLabel")
        self.verticalLayout.addWidget(self.stepsLabel)
        self.formLayout = QtGui.QFormLayout()
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.FieldsStayAtSizeHint)
        self.formLayout.setObjectName("formLayout")
        self.snapshotStepLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.snapshotStepLabel.setObjectName("snapshotStepLabel")
        self.formLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.snapshotStepLabel)
        self.snapshotStepSpinBox = QtGui.QSpinBox(self.verticalLayoutWidget)
        self.snapshotStepSpinBox.setMinimum(1)
        self.snapshotStepSpinBox.setMaximum(1000)
        self.snapshotStepSpinBox.setSingleStep(1)
        self.snapshotStepSpinBox.setProperty("value", 100)
        self.snapshotStepSpinBox.setObjectName("snapshotStepSpinBox")
        self.formLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.snapshotStepSpinBox)

        self.visualizacionRangeLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.visualizacionRangeLabel.setObjectName("visualizacionRangeLabel")
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.visualizacionRangeLabel)
        self.visualizacionRangeSpinBox = QtGui.QSpinBox(self.verticalLayoutWidget)
        self.visualizacionRangeSpinBox.setMinimum(10)
        self.visualizacionRangeSpinBox.setMaximum(80)
        self.visualizacionRangeSpinBox.setSingleStep(10)
        self.visualizacionRangeSpinBox.setProperty("value", 60)
        self.visualizacionRangeSpinBox.setObjectName("visualizacionRangeSpinBox")
        self.formLayout.setWidget(1, QtGui.QFormLayout.FieldRole, self.visualizacionRangeSpinBox)

        self.enableSavingFieldsLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.enableSavingFieldsLabel.setObjectName("enableSavingFieldsLabel")
        self.formLayout.setWidget(2, QtGui.QFormLayout.LabelRole, self.enableSavingFieldsLabel)
        self.enableSavingSignalsLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.enableSavingSignalsLabel.setObjectName("enableSavingSignalsLabel")
        self.formLayout.setWidget(3, QtGui.QFormLayout.LabelRole, self.enableSavingSignalsLabel)



        self.enableSavingNumpyLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.enableSavingNumpyLabel.setObjectName("enableSavingNumpyLabel")
        self.formLayout.setWidget(4, QtGui.QFormLayout.LabelRole, self.enableSavingNumpyLabel)
        self.enableSavingVolumeLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.enableSavingVolumeLabel.setObjectName("enableSavingVolumeLabel")
        self.formLayout.setWidget(5, QtGui.QFormLayout.LabelRole, self.enableSavingVolumeLabel)
        self.enableSavingImagesLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.enableSavingImagesLabel.setObjectName("enableSavingImagesLabel")
        self.formLayout.setWidget(6, QtGui.QFormLayout.LabelRole, self.enableSavingImagesLabel)

        self.enableSavingFieldsCheckBox = QtGui.QCheckBox(self.verticalLayoutWidget)
        self.enableSavingFieldsCheckBox.setObjectName("enableSavingFieldsCheckBox")
        self.formLayout.setWidget(2, QtGui.QFormLayout.FieldRole, self.enableSavingFieldsCheckBox)
        self.enableSavingSignalsCheckBox = QtGui.QCheckBox(self.verticalLayoutWidget)
        self.enableSavingSignalsCheckBox.setObjectName("enableSavingSignalsCheckBox")
        self.formLayout.setWidget(3, QtGui.QFormLayout.FieldRole, self.enableSavingSignalsCheckBox)
        self.enableSavingNumpyCheckBox = QtGui.QCheckBox(self.verticalLayoutWidget)
        self.enableSavingNumpyCheckBox.setObjectName("enableSavingNumpyCheckBox")
        self.formLayout.setWidget(4, QtGui.QFormLayout.FieldRole, self.enableSavingNumpyCheckBox)
        self.enableSavingVolumeCheckBox = QtGui.QCheckBox(self.verticalLayoutWidget)
        self.enableSavingVolumeCheckBox.setObjectName("enableSavingVolumeCheckBox")
        self.formLayout.setWidget(5, QtGui.QFormLayout.FieldRole, self.enableSavingVolumeCheckBox)
        self.enableSavingImagesCheckBox = QtGui.QCheckBox(self.verticalLayoutWidget)
        self.enableSavingImagesCheckBox.setObjectName("enableSavingImagesCheckBox")
        self.formLayout.setWidget(6, QtGui.QFormLayout.FieldRole, self.enableSavingImagesCheckBox)


        self.fieldSelectorLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.fieldSelectorLabel.setObjectName("fieldSelectorLabel")
        self.formLayout.setWidget(7, QtGui.QFormLayout.LabelRole, self.fieldSelectorLabel)
        self.fieldSelectorComboBox = QtGui.QComboBox(self.verticalLayoutWidget)
        self.fieldSelectorComboBox.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.fieldSelectorComboBox.setObjectName("fieldSelectorComboBox")
        self.formLayout.setWidget(7, QtGui.QFormLayout.FieldRole, self.fieldSelectorComboBox)

        self.signalShapeLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.fieldSelectorLabel.setObjectName("signalShapeLabel")
        self.formLayout.setWidget(8, QtGui.QFormLayout.LabelRole, self.signalShapeLabel)

        self.signalShapeLineEdit = QtGui.QLineEdit()
        self.signalShapeLineEdit.setObjectName("signalShapeLineEdit")
        self.signalShapeLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.signalShapeLineEdit.setText("")
        self.formLayout.setWidget(8, QtGui.QFormLayout.FieldRole, self.signalShapeLineEdit)

        self.signalPlacementLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.signalPlacementLabel.setObjectName("signalPlacementLabel")
        self.formLayout.setWidget(9, QtGui.QFormLayout.LabelRole, self.signalPlacementLabel)

        self.signalPlacementLineEdit = QtGui.QLineEdit()
        self.signalPlacementLineEdit.setObjectName("signalPlacementLineEdit")
        self.signalPlacementLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.signalPlacementLineEdit.setText("")
        self.formLayout.setWidget(9, QtGui.QFormLayout.FieldRole, self.signalPlacementLineEdit)

        self.signalSizeLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.fieldSelectorLabel.setObjectName("signalSizeLabel")
        self.formLayout.setWidget(10, QtGui.QFormLayout.LabelRole, self.signalSizeLabel)

        self.signalSizeLineEdit = QtGui.QLineEdit()
        self.signalSizeLineEdit.setObjectName("signalSizeLineEdit")
        self.signalSizeLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.signalSizeLineEdit.setText("")
        self.formLayout.setWidget(10, QtGui.QFormLayout.FieldRole, self.signalSizeLineEdit)


        self.colormapLabel = QtGui.QLabel(self.verticalLayoutWidget)
        self.colormapLabel.setObjectName("colormapLabel")
        self.formLayout.setWidget(11, QtGui.QFormLayout.LabelRole, self.colormapLabel)

        self.colormapComboBox = QtGui.QComboBox(self.verticalLayoutWidget)
        self.colormapComboBox.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.colormapComboBox.setObjectName("colormapComboBox")
        self.formLayout.setWidget(11, QtGui.QFormLayout.FieldRole, self.colormapComboBox)

        self.verticalLayout.addLayout(self.formLayout)
        
        self.buttonBox = QtGui.QDialogButtonBox(self.verticalLayoutWidget)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtGui.QDialogButtonBox.Cancel|QtGui.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(runSimulationDialog)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("accepted()"), runSimulationDialog.accept)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("rejected()"), runSimulationDialog.reject)
        QtCore.QMetaObject.connectSlotsByName(runSimulationDialog)

    def retranslateUi(self, runSimulationDialog):
        runSimulationDialog.setWindowTitle(QtGui.QApplication.translate("runSimulationDialog", "Dialog", None, QtGui.QApplication.UnicodeUTF8))
        self.viewCheckBox.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable View-Mode Simulation", None, QtGui.QApplication.UnicodeUTF8))
        self.receiverCheckBox.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable View-Mode Receiver Signal", None, QtGui.QApplication.UnicodeUTF8))
        self.snapshotsPushButton.setToolTip(QtGui.QApplication.translate("runSimulationDialog", "Enable Snapshots", None, QtGui.QApplication.UnicodeUTF8))
        self.snapshotsPushButton.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable Snapshots", None, QtGui.QApplication.UnicodeUTF8))
        self.stepsLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Simulation Time Steps:", None, QtGui.QApplication.UnicodeUTF8))
        self.snapshotStepLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Snapshot Step", None, QtGui.QApplication.UnicodeUTF8))
        self.visualizacionRangeLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Visualizacion Range", None, QtGui.QApplication.UnicodeUTF8))
        self.visualizacionRangeSpinBox.setSuffix(QtGui.QApplication.translate("runSimulationDialog", "dB", None, QtGui.QApplication.UnicodeUTF8))
        self.fieldSelectorLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Field/Signal Selector", None, QtGui.QApplication.UnicodeUTF8))
        self.colormapLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Colormap", None, QtGui.QApplication.UnicodeUTF8))
        self.signalShapeLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Sensor Matrix w,h", None, QtGui.QApplication.UnicodeUTF8))
        self.signalPlacementLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Sensor Placement ox,dx,oy,dy", None, QtGui.QApplication.UnicodeUTF8))
        self.signalSizeLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Sensor Size", None, QtGui.QApplication.UnicodeUTF8))
        self.enableSavingFieldsLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable Saving Fields", None, QtGui.QApplication.UnicodeUTF8))
        self.enableSavingSignalsLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable Saving Signals", None, QtGui.QApplication.UnicodeUTF8))
        self.enableSavingNumpyLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable NumPY Format", None, QtGui.QApplication.UnicodeUTF8))
        self.enableSavingVolumeLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable Volume Format", None, QtGui.QApplication.UnicodeUTF8))
        self.enableSavingImagesLabel.setText(QtGui.QApplication.translate("runSimulationDialog", "Enable Saving Images", None, QtGui.QApplication.UnicodeUTF8))

